List all Users
curl --request GET \
--url https://eu.sequencehq.com/api/users \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/users"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "7b1f28b9-a4ad-450b-a0ea-fd647d5109b2",
"email": "john@example.xyz",
"sequenceAccountIds": [
"83da2ca4-49c7-4d81-9c9a-ba5be11768b0",
"c0901c87-e1a9-48e9-9e2f-9e05c402dcea"
],
"state": "active",
"roles": [
{
"roleName": "financeUser",
"permissions": [
{
"resource": "org.customer",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.billing",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"start"
]
},
{
"resource": "org.product",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.quote",
"actions": [
"read",
"execute"
]
},
{
"resource": "org.invoice",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"finalize",
"send"
]
},
{
"resource": "org.creditNote",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"finalize",
"send"
]
},
{
"resource": "org.usage",
"actions": [
"read"
]
},
{
"resource": "org.revenueRecognition",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.settings",
"actions": [
"read",
"invite"
]
},
{
"resource": "org.integration",
"actions": [
"read"
]
},
{
"resource": "org.tax",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.asset",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.watchtower",
"actions": [
"read"
]
},
{
"resource": "org.bulkAction",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.savedView",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
}
]
}
]
}
],
"pagination": {
"after": "ZTMwOWU5NDgtMDg4ZS00ZDc3LWI2NTQtY2Q4NTQ5OGYxNTU1IzE2NTgyNjA4NTYwMzMwMTMjREVTQw==",
"before": "NjRlZjJmZjktMmJjYi00M2RiLWI0ZDUtOTAxMDU4MjRiMTdmIzE2NTgyNjA3NTk3NTE2ODEjQVND",
"totalResultSize": 100
}
}This response has no body data.This response has no body data.This response has no body data.Users
List all Users
List all users within your Sequence account.
GET
/
users
List all Users
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Query Parameters
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.next or pagination.previous to retrieve each page.
Response
OK
A list of users.
Show child attributes
Show child attributes
Example:
[
{
"id": "7b1f28b9-a4ad-450b-a0ea-fd647d5109b2",
"email": "john@example.xyz",
"sequenceAccountIds": [
"83da2ca4-49c7-4d81-9c9a-ba5be11768b0",
"c0901c87-e1a9-48e9-9e2f-9e05c402dcea"
],
"state": "active",
"roles": [
{
"roleName": "financeUser",
"permissions": [
{
"resource": "org.customer",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.billing",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"start"
]
},
{
"resource": "org.product",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.quote",
"actions": ["read", "execute"]
},
{
"resource": "org.invoice",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"finalize",
"send"
]
},
{
"resource": "org.creditNote",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"finalize",
"send"
]
},
{
"resource": "org.usage",
"actions": ["read"]
},
{
"resource": "org.revenueRecognition",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.settings",
"actions": ["read", "invite"]
},
{
"resource": "org.integration",
"actions": ["read"]
},
{
"resource": "org.tax",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.asset",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.watchtower",
"actions": ["read"]
},
{
"resource": "org.bulkAction",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.savedView",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
}
]
}
]
}
]
Results pagination
Show child attributes
Show child attributes
Example:
{
"after": "ZTMwOWU5NDgtMDg4ZS00ZDc3LWI2NTQtY2Q4NTQ5OGYxNTU1IzE2NTgyNjA4NTYwMzMwMTMjREVTQw==",
"before": "NjRlZjJmZjktMmJjYi00M2RiLWI0ZDUtOTAxMDU4MjRiMTdmIzE2NTgyNjA3NTk3NTE2ODEjQVND",
"totalResultSize": 100
}
⌘I